export type TeXMap = {
    base: Record<string, {
        math?: string;
        text?: string;
        commandspacer?: boolean;
    }>;
    package: Record<string, Record<string, {
        math?: string;
        text?: string;
    }>>;
    provides: Record<string, string>;
    stopgap: string;
};
export declare const biblatex: TeXMap;
export declare const bibtex: TeXMap;
export declare const minimal: TeXMap;
export declare const latex2unicode: Record<string, string>;
export declare const diacritics: {
    commands: string[];
    tolatex: Record<string, {
        command: string;
        mode: 'text' | 'math';
    }>;
    tounicode: Record<string, string>;
};
export type Options = {
    packages?: string[];
    math?: string;
    text?: string;
};
export declare function compile(mode: 'bibtex' | 'biblatex', options?: Options): {
    [x: string]: {
        math?: string;
        text?: string;
        commandspacer?: boolean;
    };
};
