"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compile = exports.diacritics = exports.latex2unicode = exports.minimal = exports.bibtex = exports.biblatex = void 0;
exports.biblatex = require('./tables/biblatex.json');
exports.bibtex = require('./tables/bibtex.json');
exports.minimal = require('./tables/minimal.json');
const maps = { biblatex: exports.biblatex, bibtex: exports.bibtex };
exports.latex2unicode = require('./tables/latex2unicode.json');
exports.diacritics = require('./tables/diacritics.json');
function compile(mode, options) {
    let map = Object.assign({}, maps[mode].base);
    for (const pkg of (options.packages || []).map(p => map.packages[p]).filter(p => p)) {
        map = Object.assign(Object.assign({}, map), pkg);
    }
    for (const c of (options.text || '')) {
        if (map[c].text)
            delete map[c].math;
    }
    for (const c of (options.math || '')) {
        if (map[c].math)
            delete map[c].text;
    }
    return map;
}
exports.compile = compile;
